org.apache.felix.rootcause

## Class RootCausePrinter

- java.lang.Object
- - org.apache.felix.rootcause.RootCausePrinter

    public class RootCausePrinter
    extends Object

Root cause printer

### Constructor Summary

Constructors
Constructor and Description
`RootCausePrinter()` Create new printer for system out
`RootCausePrinter(Consumer<String> printCallback)` Create new printer for callback

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `print(DSComp comp)` Print the root cause
`void` `print(DSComp comp, int level)` Print the root cause

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RootCausePrinter

    public RootCausePrinter()

Create new printer for system out

#### RootCausePrinter

    public RootCausePrinter(Consumer<String> printCallback)

Create new printer for callback

Parameters:
  `printCallback` - The callback

### Method Detail

#### print

    public void print(DSComp comp)

Print the root cause

Parameters:
  `comp` - The component

#### print

    public void print(DSComp comp,
                      int level)

Print the root cause

Parameters:
  `comp` - The component
  `level` - Indent